Actualizar datos del tenant
PATCH
/partner/tenants/{tenant_id}
const url = 'https://api.overtaker.online/api/v1/partner/tenants/example';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","admin_email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.overtaker.online/api/v1/partner/tenants/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "admin_email": "hello@example.com" }'Actualiza nombre o email del admin del tenant.
Authorizations
Sección titulada «Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada «Path Parameters » tenant_id
required
Tenant Id
string
Request Body required
Sección titulada «Request Body required »Responses
Sección titulada « Responses »Successful Response
Media type application/json
PartnerTenantResponse
object
Example generated
{ "tenant_id": "example", "name": "example", "subdomain": "example", "status": "example", "plan_id": "example", "admin_email": "example", "admin_temp_password": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}